Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCEJBQLCompiler

    java.lang.Object
      org.jboss.ejb.plugins.cmp.ejbql.BasicVisitor
          org.jboss.ejb.plugins.cmp.jdbc.JDBCEJBQLCompiler

All Implemented Interfaces:
  QLCompiler

public final class JDBCEJBQLCompiler
extends BasicVisitor
implements QLCompiler

Compiles EJB-QL and JBossQL into SQL.

Version:
  $Revision: 1.39 $
Author:
  Dain Sundstrom, Alex Loubyansky

Constructor Summary
`JDBCEJBQLCompiler(Catalog catalog)`

Method Summary
`void` | `compileEJBQL(String ejbql, Class returnType, Class[] parameterTypes, JDBCQueryMetaData metadata)`
`void` | `compileJBossQL(String ejbql, Class returnType, Class[] parameterTypes, JDBCQueryMetaData metadata)`
`List` | `getInputParameters()`
`List` | `getLeftJoinCMRList()`
`int` | `getLimitParam()`
`int` | `getLimitValue()`
`int` | `getOffsetParam()`
`int` | `getOffsetValue()`
`JDBCAbstractEntityBridge` | `getSelectEntity()`
`JDBCFieldBridge` | `getSelectField()`
`SelectFunction` | `getSelectFunction()`
`String` | `getSQL()`
`EntityPersistenceStore` | `getStoreManager()`
`boolean` | `isSelectEntity()`
`boolean` | `isSelectField()`
`Object` | `visit(ASTAbs node, Object data)` Type-mapping function translation
`Object` | `visit(ASTAbstractSchema node, Object data)`
`Object` | `visit(ASTAvg node, Object data)`
`Object` | `visit(ASTBooleanLiteral node, Object data)` typeMapping.getMapping()
`Object` | `visit(ASTCollectionMemberDeclaration node, Object data)`
`Object` | `visit(ASTConcat node, Object data)` Type-mapping function translation
`Object` | `visit(ASTCount node, Object data)`
`Object` | `visit(ASTEJBQL node, Object data)`
`Object` | `visit(ASTEntityComparison node, Object data)` compreEntity(arg0, arg1)
`Object` | `visit(ASTFrom node, Object data)`
`Object` | `visit(ASTIsEmpty node, Object data)`
`Object` | `visit(ASTLCase node, Object data)` Type-mapping function translation
`Object` | `visit(ASTLength node, Object data)` Type-mapping function translation
`Object` | `visit(ASTLimitOffset node, Object data)`
`Object` | `visit(ASTLocate node, Object data)` Type-mapping function translation
`Object` | `visit(ASTMax node, Object data)`
`Object` | `visit(ASTMemberOf node, Object data)` Compare entity
`Object` | `visit(ASTMin node, Object data)`
`Object` | `visit(ASTMod node, Object data)` Type-mapping function translation
`Object` | `visit(ASTNullComparison node, Object data)`
`Object` | `visit(ASTParameter node, Object data)` ?
`Object` | `visit(ASTPath node, Object data)` tableAlias.columnName
`Object` | `visit(ASTRangeVariableDeclaration node, Object data)`
`Object` | `visit(ASTSelect node, Object data)`
`Object` | `visit(ASTSqrt node, Object data)` Type-mapping function translation
`Object` | `visit(ASTSubstring node, Object data)` Type-mapping function translation
`Object` | `visit(ASTSum node, Object data)`
`Object` | `visit(ASTUCase node, Object data)` Type-mapping function translation
`Object` | `visit(ASTValueClassComparison node, Object data)`
`Object` | `visit(ASTWhereConditionalTerm node, Object data)`
`Object` | `visit(ASTWhere node, Object data)` Generates where clause without the "WHERE" keyword.
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class org.jboss.ejb.plugins.cmp.ejbql.BasicVisitor
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCEJBQLCompiler

    public JDBCEJBQLCompiler(Catalog catalog)

Method Detail

### compileEJBQL

    public void compileEJBQL(String ejbql,
                             Class returnType,
                             Class[] parameterTypes,
                             JDBCQueryMetaData metadata)
                      throws Exception

  Specified by:
    `compileEJBQL` in interface `QLCompiler`
  Throws:
    `Exception`

### compileJBossQL

    public void compileJBossQL(String ejbql,
                               Class returnType,
                               Class[] parameterTypes,
                               JDBCQueryMetaData metadata)
                        throws Exception

  Specified by:
    `compileJBossQL` in interface `QLCompiler`
  Throws:
    `Exception`

### getSQL

    public String getSQL()

  Specified by:
    `getSQL` in interface `QLCompiler`

### getOffsetValue

    public int getOffsetValue()

  Specified by:
    `getOffsetValue` in interface `QLCompiler`

### getOffsetParam

    public int getOffsetParam()

  Specified by:
    `getOffsetParam` in interface `QLCompiler`

### getLimitValue

    public int getLimitValue()

  Specified by:
    `getLimitValue` in interface `QLCompiler`

### getLimitParam

    public int getLimitParam()

  Specified by:
    `getLimitParam` in interface `QLCompiler`

### isSelectEntity

    public boolean isSelectEntity()

  Specified by:
    `isSelectEntity` in interface `QLCompiler`

### getSelectEntity

    public JDBCAbstractEntityBridge getSelectEntity()

  Specified by:
    `getSelectEntity` in interface `QLCompiler`

### isSelectField

    public boolean isSelectField()

  Specified by:
    `isSelectField` in interface `QLCompiler`

### getSelectField

    public JDBCFieldBridge getSelectField()

  Specified by:
    `getSelectField` in interface `QLCompiler`

### getSelectFunction

    public SelectFunction getSelectFunction()

  Specified by:
    `getSelectFunction` in interface `QLCompiler`

### getStoreManager

    public EntityPersistenceStore getStoreManager()

  Specified by:
    `getStoreManager` in interface `QLCompiler`

### getInputParameters

    public List getInputParameters()

  Specified by:
    `getInputParameters` in interface `QLCompiler`

### getLeftJoinCMRList

    public List getLeftJoinCMRList()

  Specified by:
    `getLeftJoinCMRList` in interface `QLCompiler`

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTEJBQL node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTFrom node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTCollectionMemberDeclaration node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTRangeVariableDeclaration node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTSelect node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTWhere node,
                        Object data)

  Generates where clause without the "WHERE" keyword.

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTNullComparison node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTIsEmpty node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTMemberOf node,
                        Object data)

  Compare entity

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTValueClassComparison node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTEntityComparison node,
                        Object data)

  compreEntity(arg0, arg1)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTConcat node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTSubstring node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTLCase node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTUCase node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTLength node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTLocate node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTAbs node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTMod node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTSqrt node,
                        Object data)

  Type-mapping function translation

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTCount node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTMax node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTMin node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTAvg node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTSum node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTPath node,
                        Object data)

  tableAlias.columnName

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTAbstractSchema node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTParameter node,
                        Object data)

  ?

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTBooleanLiteral node,
                        Object data)

  typeMapping.getMapping()

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTLimitOffset node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

### visit

    public Object visit(ASTWhereConditionalTerm node,
                        Object data)

  Overrides:
    `visit` in class `BasicVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.